钱包
公司资产(多币种)
POST
/
platformapi
/
chainup
/
open
/
wallet
/
v2
/
companyAsset
curl --request POST \
--url http://service.xxx.com/platformapi/chainup/open/wallet/v2/companyAsset
{
"code": "0",
"msg": "suc",
"data": [
{
"accounts": [
{
"companyId": "2123",
"balance": "1000",
"type": "113",
"symbol": "xxx"
},
{
"companyId": 1760,
"balance": "1000",
"type": "112",
"symbol": "xxx"
}
]
},
{
"accounts": [
{
"companyId": "2123",
"balance": "1000",
"type": "113",
"symbol": "xxx"
},
{
"companyId": 1760,
"balance": "1000",
"type": "112",
"symbol": "xxx"
}
]
}
]
}
公司资产type描述
| Type | Description |
|---|---|
| 113 | 公司:管理员充值账户 |
| 112 | 公司:赠币账户 |
| 105 | 公司:提币手续费收入&矿工费支出账户 |
| 114 | 公司:分红币返还账户 |
| 116 | 公司:锁仓账户 |
| 130 | 公司:锁仓代币发放(释放到用户锁仓账户)V2 |
| 121 | 公司:IEO收入账户(募集收入) |
| 122 | 公司:IEO支出账户(释放到用户可用账户) |
| 181 | 公司:(Spot&Margin)交易手续费收入账户 |
| 187 | 公司:C2C交易手续费收入账户 |
| 118 | 公司:(现货 & 合约)经纪人奖励账户 |
| 115 | 公司:分红币分红账户 |
| 149 | 公司:合约赠金支出/回收账户 |
| 150 | 公司:理财发币账户 |
| 152 | 邀请注册奖励账户 |
| 153 | 公司:抵押借贷利息分成账户 |
Query Parameters
appKey
string
requiredAppKey
Example: xxx_xxx
sign
string
required签名
Example: 2ae04ed9165624419bad68e9e0f3f2sa9fbd2ae04ed916511624419bad68e9e20f3f29fbd
symbol
string
requiredChainUP币种名称
Response
200 - application/json
code
string
返回code
Example: 0
msg
string
成功或失败提示信息
Example: Success
data
object
curl --request POST \
--url http://service.xxx.com/platformapi/chainup/open/wallet/v2/companyAsset
{
"code": "0",
"msg": "suc",
"data": [
{
"accounts": [
{
"companyId": "2123",
"balance": "1000",
"type": "113",
"symbol": "xxx"
},
{
"companyId": 1760,
"balance": "1000",
"type": "112",
"symbol": "xxx"
}
]
},
{
"accounts": [
{
"companyId": "2123",
"balance": "1000",
"type": "113",
"symbol": "xxx"
},
{
"companyId": 1760,
"balance": "1000",
"type": "112",
"symbol": "xxx"
}
]
}
]
}